#
# spec file for package gucharmap (Version 1.4.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook_4 e2fsprogs esound esound-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libidn libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           gucharmap
BuildRequires:  gnome-doc-utils gnutls-devel intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        1.4.4
Release:        24.6
Summary:        A Feature-Rich Unicode Character Map
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gucharmap/1.4/%{name}-%{version}.tar.bz2
Source1:        gucharmap-pl.tar.bz2
Patch:          %name-desktop.patch
Patch1:         gucharmap-no-root.patch
Url:            http://gucharmap.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem 

%description
Gucharmap is a feature-rich Unicode character map and font viewer.



Authors:
--------
    Noah Levitt

%debug_package
%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} gtk2-devel glib2-devel libgnomeui-devel libgnome-devel
AutoReqProv:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Noah Levitt

%prep
%setup -q
%patch
%patch1
mv po/no.po po/nb.po
sed -e "s/\(ALL_LINGUAS.*\) no /\1 nb /" < configure.ac > configure.ac.tmp && mv configure.ac.tmp configure.ac

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib
make 

%install
# Disable running of gtk-query-immodules
sed -e '/\$(GTK_QUERY_IMMODULES)/d' <gucharmap/Makefile >gucharmap/Makefile~
mv gucharmap/Makefile~ gucharmap/Makefile
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE1}
popd
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%find_lang %{name}
%suse_update_desktop_file %{name}

%post
touch var/adm/SuSEconfig/run-gtk
%run_ldconfig

%postun
touch var/adm/SuSEconfig/run-gtk
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB ChangeLog README TODO
%{prefix}/bin/*
%{prefix}/%_lib/*.so.*
%{prefix}/share/pixmaps/*.png
%{prefix}/share/applications/*.desktop
%{prefix}/share/omf/gucharmap

%files devel
%defattr (-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/pkgconfig/*.pc

%changelog
* Tue Mar 25 2008 - mauro@suse.de
- Added gucharmap-pl.tar.bz2 to fix bnc#356557
  + Updated polish translations.
* Fri May 05 2006 - sreeves@suse.de
- Fix for 167218 - change name
* Wed Apr 26 2006 - sreeves@suse.de
- Fix for 168664 - move from the Images category
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 - gekker@suse.de
- fixup .desktop file for UI team
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 1.4.4 (GNOME 2.12).
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Mar 09 2005 - gekker@suse.de
- Update to 1.4.3 (GNOME 2.10).
- Remove upstreamed cs.po patch
* Thu Feb 24 2005 - sbrabec@suse.cz
- Fixed typos in cs.po.
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 1.4.2
* Wed Dec 15 2004 - hvogel@suse.de
- fix desktop file
* Mon Nov 22 2004 - ro@suse.de
- "sed -i" does not work on old distributions
* Tue Oct 19 2004 - sbrabec@suse.cz
- Renamed no locale to nb.
* Fri Aug 27 2004 - clahey@suse.de
- Cache gucharmap help and show gucharmap in khelpcenter.
* Thu May 13 2004 - clahey@suse.de
- Removed gucharmap-immodules.dif because gucharmap no longer
  searches for immodules.
* Wed Apr 21 2004 - sbrabec@suse.cz
- Updated to version 1.4.1 (GNOME 2.6).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Czech typo fixes.
* Mon Mar 08 2004 - hhetter@suse.de
- search for gtk-query-immodules-2.0-64 on x86_64
* Thu Feb 19 2004 - sbrabec@suse.cz
- Updated to version 1.2.0.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 1.0.0 (GNOME 2.4).
* Fri Sep 05 2003 - sbrabec@suse.cz
- Added %%run_ldconfig to postun (bug #29417).
* Thu Aug 21 2003 - ro@suse.de
- autoreconf for successful build on lib64
* Wed Aug 20 2003 - sbrabec@suse.cz
- Added run-gtk to %%post and %%postun.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Initial SuSE version 0.8.0.
